require 'statsd' # actually dogstatsd-ruby

class Doggerel
  VERSION = "0.1.0"

  attr_accessor :statsd, :title, :event_type, :aggregation_key

  def initialize(event_type, aggregation_key, title=nil, tags=[])
    @statsd = Statsd.new('localhost:8125')
    file = File.basename(__FILE__)
    if title.nil?
      @title = "#{event_type}::#{aggregation_key}::#{file}"
    else
      @title = title
    end
    @event_type = event_type
    @aggregation_key = aggregation_key
  end

  def info(text=nil)
    @statsd.event(@title, text)
  end

  def error(text=nil)
    @statsd.event(@title, text, alert_type: 'error')
  end
end
